namespace InABox.Core
{
    public class DoubleEditor : NumericEditor
    {
        public DoubleEditor(int digits) : base(digits)
        {
            Format = $"F{digits}";
        }

        public DoubleEditor() : this(2)
        {
            
        }
        
        protected override BaseEditor DoClone()
        {
            return new DoubleEditor(Digits);
        }
    }
}